package net.micode.notes.ui;

import android.app.Activity;
import android.app.AlarmManager;
import android.app.AlertDialog;
import android.app.PendingIntent;
import android.app.SearchManager;
import android.appwidget.AppWidgetManager;
import android.content.ContentUris;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.SharedPreferences;
import android.graphics.Paint;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.text.Spannable;
import android.text.SpannableString;
import android.text.TextUtils;
import android.text.format.DateUtils;
import android.text.style.BackgroundColorSpan;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuItem;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.WindowManager;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.CompoundButton.OnCheckedChangeListener;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.TextView;
import android.widget.Toast;

import net.micode.notes.R;
import net.micode.notes.data.Notes;
import net.micode.notes.data.Notes.TextNote;
import net.micode.notes.model.WorkingNote;
import net.micode.notes.model.WorkingNote.NoteSettingChangedListener;
import net.micode.notes.tool.DataUtils;
import net.micode.notes.tool.ResourceParser;
import net.micode.notes.tool.ResourceParser.TextAppearanceResources;
import net.micode.notes.ui.DateTimePickerDialog.OnDateTimeSetListener;
import net.micode.notes.ui.NoteEditText.OnTextViewChangeListener;
import net.micode.notes.widget.NoteWidgetProvider_2x;
import net.micode.notes.widget.NoteWidgetProvider_4x;

import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

import android.app.Activity;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.WindowManager;
import android.widget.Button;
import android.widget.EditText;
import android.widget.Toast;

public class ChangeLoginPasswordActivity extends Activity {
    EditText OldPassword;
    EditText NewPassword;
    EditText ReWritePassword;
    Button Acknowledged;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        setContentView(R.layout.change_login_password_activity);
        getWindow().setSoftInputMode(
                WindowManager.LayoutParams.SOFT_INPUT_ADJUST_RESIZE
                        | WindowManager.LayoutParams.SOFT_INPUT_STATE_VISIBLE);
        OldPassword=(EditText) findViewById(R.id.old_password);
        NewPassword=(EditText) findViewById(R.id.new_password);
        ReWritePassword=(EditText) findViewById(R.id.ack_password);
        Acknowledged=(Button)findViewById(R.id.Bt_Acknowledged);
        Acknowledged.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                String old_password = OldPassword.getText().toString();
                String new_password = NewPassword.getText().toString();
                String ack_password = ReWritePassword.getText().toString();

                SharedPreferences pref=getSharedPreferences("user management",MODE_PRIVATE);

                String login_password=pref.getString("password","");

                if(old_password.equals("")==true || new_password.equals("")==true || ack_password.equals("")==true) {
                    Toast.makeText(ChangeLoginPasswordActivity.this, "密码不能为空", Toast.LENGTH_SHORT).show();
                }else if (new_password.equals(ack_password) == false) {
                    Toast.makeText(ChangeLoginPasswordActivity.this, "新建密码与重复密码不匹配，请重新输入密码", Toast.LENGTH_SHORT).show();
                    ReWritePassword.setText("");
                }else if(old_password.equals(login_password) == false){
                    Toast.makeText(ChangeLoginPasswordActivity.this, "原有密码错误，请重新输入密码", Toast.LENGTH_SHORT).show();
                    OldPassword.setText("");
                }
                else if (new_password.equals(ack_password) == true && old_password.equals(login_password) == true){
                    SharedPreferences.Editor editor=getSharedPreferences("user management", MODE_PRIVATE).edit();
                    editor.putString("password",new_password);
                    editor.apply();
                    Toast.makeText(ChangeLoginPasswordActivity.this, "修改密码成功", Toast.LENGTH_SHORT).show();
                    Intent intent=new Intent(ChangeLoginPasswordActivity.this, LoginActivity.class);
                    startActivity(intent);
                    finish();
                }
            }
        });
    }

    @Override
    public void onBackPressed() {
        Intent intent=new Intent(ChangeLoginPasswordActivity.this, LoginActivity.class);
        startActivity(intent);
        finish();
    }
}

